mox is needed in requirements

Bug #1288245 reported by Tatiana Ovchinnikova on 2014-03-05
68
This bug affects 11 people
Affects Status Importance Assigned to Milestone
OpenStack Dashboard (Horizon)
High
Doug Fish
horizon (Ubuntu)
High
Unassigned
Trusty
High
Unassigned

Bug Description

It appears that mox is needed in requirements.tst now:

Environment:

Request Method: GET
Request URL: http://localhost:8080/

Django Version: 1.5.5
Python Version: 2.7.3
Installed Applications:
['openstack_dashboard',
 'django.contrib.contenttypes',
 'django.contrib.auth',
 'django.contrib.sessions',
 'django.contrib.messages',
 'django.contrib.staticfiles',
 'django.contrib.humanize',
 'compressor',
 'horizon',
 'openstack_auth',
 'openstack_dashboard.dashboards.project',
 'openstack_dashboard.dashboards.admin',
 'openstack_dashboard.dashboards.settings']
Installed Middleware:
('django.middleware.common.CommonMiddleware',
 'django.middleware.csrf.CsrfViewMiddleware',
 'django.contrib.sessions.middleware.SessionMiddleware',
 'django.contrib.auth.middleware.AuthenticationMiddleware',
 'django.contrib.messages.middleware.MessageMiddleware',
 'horizon.middleware.HorizonMiddleware',
 'django.middleware.doc.XViewMiddleware',
 'django.middleware.locale.LocaleMiddleware',
 'django.middleware.clickjacking.XFrameOptionsMiddleware')

Traceback:
File "/home/vulcan/horizon/.venv/local/lib/python2.7/site-packages/django/core/handlers/base.py" in get_response
  92. response = middleware_method(request)
File "/home/vulcan/horizon/.venv/local/lib/python2.7/site-packages/django/middleware/locale.py" in process_request
  21. check_path = self.is_language_prefix_patterns_used()
File "/home/vulcan/horizon/.venv/local/lib/python2.7/site-packages/django/middleware/locale.py" in is_language_prefix_patterns_used
  56. for url_pattern in get_resolver(None).url_patterns:
File "/home/vulcan/horizon/.venv/local/lib/python2.7/site-packages/django/core/urlresolvers.py" in url_patterns
  347. patterns = getattr(self.urlconf_module, "urlpatterns", self.urlconf_module)
File "/home/vulcan/horizon/.venv/local/lib/python2.7/site-packages/django/core/urlresolvers.py" in urlconf_module
  342. self._urlconf_module = import_module(self.urlconf_name)
File "/home/vulcan/horizon/.venv/local/lib/python2.7/site-packages/django/utils/importlib.py" in import_module
  35. __import__(name)
File "/home/vulcan/horizon/openstack_dashboard/urls.py" in <module>
  38. url(r'', include(horizon.urls))
File "/home/vulcan/horizon/.venv/local/lib/python2.7/site-packages/django/conf/urls/__init__.py" in include
  26. patterns = getattr(urlconf_module, 'urlpatterns', urlconf_module)
File "/home/vulcan/horizon/.venv/local/lib/python2.7/site-packages/django/utils/functional.py" in inner
  204. self._setup()
File "/home/vulcan/horizon/.venv/local/lib/python2.7/site-packages/django/utils/functional.py" in _setup
  270. self._wrapped = self._setupfunc()
File "/home/vulcan/horizon/horizon/base.py" in url_patterns
  733. return self._urls()[0]
File "/home/vulcan/horizon/horizon/base.py" in _urls
  739. urlpatterns = self._get_default_urlpatterns()
File "/home/vulcan/horizon/horizon/base.py" in _get_default_urlpatterns
  82. mod = import_module(self.urls)
File "/home/vulcan/horizon/.venv/local/lib/python2.7/site-packages/django/utils/importlib.py" in import_module
  35. __import__(name)
File "/home/vulcan/horizon/horizon/site_urls.py" in <module>
  26. from horizon.test.jasmine import jasmine
File "/home/vulcan/horizon/horizon/test/jasmine/jasmine.py" in <module>
  17. from horizon.test import helpers as test
File "/home/vulcan/horizon/horizon/test/helpers.py" in <module>
  50. import mox

Exception Type: ImportError at /
Exception Value: No module named mox

Addind mox to requirements solved this issue.
The latest commit in my checkout is:

commit 015aff26307ca619abc569404f82c6338239e628
Author: Jordan OMara <email address hidden>
Date: Tue Jan 14 10:25:26 2014 -0500
Change-Id: I2854e9e4bb578be5187ef962808b93f11ac6b1f1

Related branches

description: updated
James Page (james-page) on 2014-03-06
Changed in horizon (Ubuntu Trusty):
importance: Undecided → High
status: New → Triaged
Doug Fish (drfish) wrote :

I don't think we really want mox as a requirement; instead we should be sorting out how to make sure mox is required only for testing.

Changed in horizon (Ubuntu Trusty):
assignee: nobody → Doug Fish (drfish)
Doug Fish (drfish) on 2014-03-10
Changed in horizon:
assignee: nobody → Doug Fish (drfish)
Changed in horizon (Ubuntu Trusty):
assignee: Doug Fish (drfish) → nobody

Fix proposed to branch: master
Review: https://review.openstack.org/79378

Changed in horizon:
status: New → In Progress
Tatiana Ovchinnikova (tmazur) wrote :

Agreed. Thank you for your work!

Changed in horizon:
importance: Undecided → High
Matthias Runge (mrunge) on 2014-03-18
Changed in horizon:
milestone: none → next
David Lyle (david-lyle) on 2014-03-18
Changed in horizon:
milestone: next → icehouse-rc1

Reviewed: https://review.openstack.org/79378
Committed: https://git.openstack.org/cgit/openstack/horizon/commit/?id=01133b7ce207f61dc402c9223e1d70c4a7497932
Submitter: Jenkins
Branch: master

commit 01133b7ce207f61dc402c9223e1d70c4a7497932
Author: Doug Fish <email address hidden>
Date: Tue Mar 11 12:08:08 2014 -0500

    Remove non dev dependency on mox

    Change-Id: I49267ebbf11b1898ab14216046369ff4720dbd82
    Closes-Bug: 1288245

Changed in horizon:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2014-03-31
Changed in horizon:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package horizon - 1:2014.1~rc1-0ubuntu1

---------------
horizon (1:2014.1~rc1-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate (LP: #1288245).
    - d/static/*: Refreshed assets for new upstream release.
  * d/theme/*: Refresh Ubuntu theme against Icehouse templates (LP: #1291653).
 -- James Page <email address hidden> Mon, 31 Mar 2014 17:31:49 +0100

Changed in horizon (Ubuntu Trusty):
status: Triaged → Fix Released
Thierry Carrez (ttx) on 2014-04-17
Changed in horizon:
milestone: icehouse-rc1 → 2014.1
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers